flash 7or higher required